Package com.independentsoft.office.word.numbering

# Class LegacyNumberingLevel

java.lang.Object
com.independentsoft.office.word.numbering.LegacyNumberingLevel

public class LegacyNumberingLevel extends Object
The Class LegacyNumberingLevel.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LegacyNumberingLevel()`
  Instantiates a new legacy numbering level.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LegacyNumberingLevel`
  `clone()`
  `int`
  `getIndent()`
  Gets the indent.
  `int`
  `getSpace()`
  Gets the space.
  `ExtendedBoolean`
  `getUseLegacy()`
  Gets the use legacy.
  `void`
  `setIndent​(int indent)`
  Sets the indent.
  `void`
  `setSpace​(int space)`
  Sets the space.
  `void`
  `setUseLegacy​(ExtendedBoolean useLegacy)`
  Sets the use legacy.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LegacyNumberingLevel

    public LegacyNumberingLevel()
    Instantiates a new legacy numbering level.

- ## Method Details

  - ### clone

    public LegacyNumberingLevel clone()
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getUseLegacy

    public ExtendedBoolean getUseLegacy()
    Gets the use legacy.
    Returns:
      the use legacy

  - ### setUseLegacy

    public void setUseLegacy​(ExtendedBoolean useLegacy)
    Sets the use legacy.
    Parameters:
      `useLegacy` - the new use legacy

  - ### getIndent

    public int getIndent()
    Gets the indent.
    Returns:
      the indent

  - ### setIndent

    public void setIndent​(int indent)
    Sets the indent.
    Parameters:
      `indent` - the new indent

  - ### getSpace

    public int getSpace()
    Gets the space.
    Returns:
      the space

  - ### setSpace

    public void setSpace​(int space)
    Sets the space.
    Parameters:
      `space` - the new space